Package org.eclipse.mat.inspections

# Class ClassReferrersQuery.InboundClasses

java.lang.Object
org.eclipse.mat.inspections.ClassReferrersQuery.InboundClasses

All Implemented Interfaces:
  `IIconProvider`, `IResult`, `IResultTree`, `IStructuredResult`

Enclosing class:
  ClassReferrersQuery

public static class ClassReferrersQuery.InboundClasses extends Object

## Field Summary

### Fields inherited from interface org.eclipse.mat.query.IIconProvider

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`InboundClasses(ISnapshot snapshot, int[] objectIds)`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkDeadEnd(org.eclipse.mat.inspections.ClassReferrersQuery.ClassNode node)`
`final List<org.eclipse.mat.inspections.ClassReferrersQuery.ClassNode>`
`getChildren(Object parent)`
Returns the child elements of the given parent.
`final Column[]`
`getColumns()`
The columns of the tree or table.
`final Object`
`getColumnValue(Object row, int columnIndex)`
Returns the (unformatted) value of a table/tree cell.
`final IContextObject`
`getContext(Object row)`
The default context of the row which is used to display information in the object inspector.
`final List<?>`
`getElements()`
Returns the root elements of the tree.
`URL`
`getIcon(Object row)`
`ResultMetaData`
`getResultMetaData()`
(Optionally) Return meta data of the result needed to fine-tune the display of the result.
`final boolean`
`hasChildren(Object element)`
Returns whether the given element has children.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InboundClasses

public InboundClasses(ISnapshot snapshot, int[] objectIds)

## Method Details

### getIcon

public URL getIcon(Object row)

### getResultMetaData

public ResultMetaData getResultMetaData()
Description copied from interface: `IResult`
(Optionally) Return meta data of the result needed to fine-tune the display of the result. This could include an additional context, an additional query to run on selected data from the result , additional calculated columns, or an indication that the results are already presorted.

Specified by:
  `getResultMetaData` in interface `IResult`
Returns:
  the metadata for the result, used to obtain extra data

### getColumns

public final Column[] getColumns()
Description copied from interface: `IStructuredResult`
The columns of the tree or table.

Specified by:
  `getColumns` in interface `IStructuredResult`
Returns:
  an array of all the columns

### getElements

public final List<?> getElements()
Description copied from interface: `IResultTree`
Returns the root elements of the tree.

Specified by:
  `getElements` in interface `IResultTree`
Returns:
  a list of all the root elements of the tree as opaque row objects representing each row which can be passed to `IResultTree.getChildren(Object)` or `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.

### getChildren

public final List<org.eclipse.mat.inspections.ClassReferrersQuery.ClassNode> getChildren(Object parent)
Description copied from interface: `IResultTree`
Returns the child elements of the given parent.

Specified by:
  `getChildren` in interface `IResultTree`
Parameters:
  `parent` - The row object as returned by the `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.
Returns:
  a list of children of this branch of the tree

### hasChildren

public final boolean hasChildren(Object element)
Description copied from interface: `IResultTree`
Returns whether the given element has children.

Specified by:
  `hasChildren` in interface `IResultTree`
Parameters:
  `element` - the opaque object used to indicate which branch
Returns:
  true if this element has children

### getColumnValue

public final Object getColumnValue(Object row, int columnIndex)
Description copied from interface: `IStructuredResult`
Returns the (unformatted) value of a table/tree cell.

Specified by:
  `getColumnValue` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods
  `columnIndex` - The index of the column.
Returns:
  the cell value

### getContext

public final IContextObject getContext(Object row)
Description copied from interface: `IStructuredResult`
The default context of the row which is used to display information in the object inspector. Unless no context provider is given via the `ResultMetaData`, it is also used for the context menu on a row.

Specified by:
  `getContext` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.
Returns:
  a context object holding details about that row

### checkDeadEnd

public void checkDeadEnd(org.eclipse.mat.inspections.ClassReferrersQuery.ClassNode node)